using System;

namespace XMLBench {
 public class Disp {
    public long disp_n=0;
    public double disp_s=0;
    public double disp_d=0;
    public double disp_m=0;

    public void disp_init() {
	disp_n=0;
	disp_s=0;
	disp_d=0;
    }
    
    public void disp_event(double disp_v) {
	long t;
	
	disp_n++;
	t=disp_n*(disp_n-1);
	
	disp_s+=disp_v;
	disp_v*=disp_n;

	if (t>0) disp_d+=(double)(((disp_s-disp_v)*(disp_s-disp_v)))/t;
    }

    public void disp_post() {
	if (disp_n>0) {
	    disp_m = ((double)disp_s) / disp_n;
    	    if (disp_n>1) {
    		disp_d /= (disp_n-1);
		disp_d = Math.Sqrt(disp_d);
	    }
	}
    }	
 }
}