#! /usr/bin/clisp -C -q -q
; Should be called from root account once to generate binaries for libraries
 
(load #p"/usr/share/common-lisp/source/asdf/asdf.lisp")
(push #p"/usr/share/common-lisp/systems/" asdf:*central-registry*)
;(asdf:oos 'asdf:load-op :closures-common)
(asdf:oos 'asdf:load-op :cxml)

(defvar dom NIL)

;(defclass sax-handler (sax:content-handler) ())
(defclass sax-handler () ())
(defmethod sax:start-element
    ((handler sax-handler) namespace-uri local-name qname attributes)
;    (pprint local-name)
    )
(defmethod sax:end-element 
    ((handler sax-handler) namespace-uri local-name qname)
    ()
)
(defmethod sax:characters 
    ((handler sax-handler) data)
    ()
)

(defun parse_file (fn)
    (setf dom
	(cxml:parse-file fn (make-instance 'sax-handler))))

(defun parse_iteration (fn i)
    (if fn
	(parse_file fn)
	(parse_file (concatenate 'string "../xml.tmp/" (write-to-string i) ".xml"))))


(defvar iterations NIL)
(defvar xmlfn NIL)

(if (> (length *ARGS*) 0)
    (setf iterations (parse-integer (first *ARGS*)))
    (setf iterations 0))

(if (> (length *ARGS*) 1)
    (setf xmlfn (second *ARGS*))
    (setf xmlfn NIL))

(parse_iteration xmlfn 0)
;(pprint (list "Number of Iterations" iterations))
(if (> iterations 0)
    (time
	(dotimes (i iterations) 
	    (parse_iteration xmlfn (+ i 1))))
    (dotimes (i iterations) 
	(parse_iteration xmlfn (+ i 1))))


;(pprint dom)
